import os

import aiohttp

__all__ = ("aextract", "adaasurl")

adaasurl = os.getenv("adaasurl", "http://adaas:5000")
assert adaasurl is not None


async def aextract(params: dict, url: str, **kwargs):
    async with aiohttp.ClientSession() as session:
        base = adaasurl
        async with session.post(f"{base}/extract", json=dict(params=params, url=url, **kwargs)) as resp:
            if resp.status != 200:
                raise IOError(resp.status)
            return await resp.json()
